Subject: Re: [bitcoin-dev] BIP for Serverless Payjoin

From: Christopher Allen <[email-masked]>
Date: Sun, 13 Aug 2023 02:22:47 -0700

On Sat, Aug 12, 2023 at 2:20 PM Dan Gould <[email-masked]> wrote:

>  am somewhat concerned that some payjoin implementations are written in
> JavaScript and would benefit most from a v2 upgrade in order to support
> receiving, but no JavaScript ur library exists yet. Perhaps one could be
> bound from the rust implementation.
>

There is some progress here, including our reference library in Typescript
for dCBOR and UR-based Envelope, but hopefully we will expand soon to offer
it in reference libraries, though some will have to be wasm of our rust
code.

I've heard that there are some wallets using URs written Javascript, but
they have not announced open source libraries yet.

-- Christopher Allem